Name:          scamp
Version:       2.2.5
Release:       %mkrel 5
Summary:       Astrometric calibration and photometric homogenization
Group:         Sciences/Astronomy
License:       GPLv3

URL:           http://www.astromatic.net/software/%{name}
Source0:       http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

Patch1:        scamp-security.patch

BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: fftw-devel
BuildRequires: cdsclient
BuildRequires: plplot-devel
BuildRequires: libatlas-devel 
BuildRequires: curl-devel

Requires:      cdsclient
#needs font contain in plplot package (in addition to the lib)
Requires:      plplot

%description
SCAMP reads SExtractor catalogs and computes astrometric and
photometric solutions for any arbitrary sequence of FITS images in a
completely automatic way.

%prep
%setup -q


%build
autoreconf -fi
%configure2_5x --with-atlas-libdir=%{_libdir}/atlas
%make 

%install
%makeinstall_std

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.xz
%{_mandir}/manx/%{name}.x.xz
%{_datadir}/%{name}/*.ahead
%{_datadir}/%{name}/*.xsl



%changelog
* Fri May 26 2017 eatdirt <eatdirt> 2.2.5-5.mga6
+ Revision: 1104945
- Fix missing requires to plplot

* Fri Feb 10 2017 eatdirt <eatdirt> 2.2.5-4.mga6
+ Revision: 1085253
- Rebuild for new plplot

* Sun May 22 2016 tv <tv> 2.2.5-3.mga6
+ Revision: 1017791
- rebuild for new atlas

* Fri Feb 19 2016 umeabot <umeabot> 2.2.5-2.mga6
+ Revision: 970015
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 eatdirt <eatdirt> 2.2.5-1.mga6
+ Revision: 884710
- Upgrade to version 2.2.5

* Fri Feb 13 2015 eatdirt <eatdirt> 2.0.4-1.mga5
+ Revision: 814877
- Upgrade to version 2.0.4

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 744867
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-2.mga5
+ Revision: 689045
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 eatdirt <eatdirt> 2.0.1-1.mga5
+ Revision: 641981
- Upgrade to version 2.0.1

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 530735
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 joequant <joequant> 1.7.0-1.mga4
+ Revision: 459497
- add atlas to buildrequires
- imported package scamp

